package com.aconiac.apg.test;
import org.junit.*;

import com.aconiac.apg.domain.CheckRowOriginRule;
import com.aconiac.apg.domain.Rule;

import static org.junit.Assert.*;

public class TestCheckRowOriginRule {
    private Rule r;
    @Before public void setup() {
        r = new CheckRowOriginRule();
    }

    @Test public void testShouldValidateAStringFromMoreThanOneRow() {
        assertTrue(r.isValid("qaz"));
    }

    @Test public void testShouldNotValidateAStringFromOnlyOneRow() {
        assertTrue(!r.isValid("qwerty"));
    }    

    /** This wrapper is only required for running the old JUnit 3.8
     * graphical user interface on new JUnit 4 test cases */
    public static junit.framework.Test suite() {
        return new junit.framework.JUnit4TestAdapter(TestCheckRowOriginRule.class);
    } 
}
